org.apache.http.nio

## Interface NHttpMessageWriterFactory<T extends HttpMessage>

All Known Implementing Classes:
  DefaultHttpRequestWriterFactory, DefaultHttpResponseWriterFactory

    public interface NHttpMessageWriterFactory<T extends HttpMessage>

Factory for `NHttpMessageWriter` instances.

Since:
  4.3

### Method Summary

Methods
`NHttpMessageWriter<T>` `create(SessionOutputBuffer buffer)`

### Method Detail

#### create

    NHttpMessageWriter<T> create(SessionOutputBuffer buffer)